<?php

use App\InvoiceStatuses;
use Carbon\Carbon;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', 'WelcomeController@index');
Route::get('password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('password.request');
Route::post('password/reset', 'Auth\ResetPasswordController@postReset')->name('password.reset');
Route::get('/clear-test', function(){
   \App\Booking::where('user_id', 1)->delete();
});

Route::get('/po-approval', function(){
    $approvedInvoices = InvoiceStatuses::where(function($q) {
        $q->where('status', 'approve')
            ->orWhere('status', 'request_change');
    })->distinct()->get(['invoice_id'])->pluck('invoice_id');
    $invoices = InvoiceStatuses::whereNotIn('invoice_id', $approvedInvoices)->get();
    echo "<h1>Total PO Pending Approval:<b>".count($invoices)."</b></h1>";
    foreach ($invoices as $invoice){
        echo "<a target='_blank' href='https://exchange.cief-malaysia.com/booking/".$invoice->invoice->booking->id."/upload-invoice'>".$invoice->invoice->booking->id."</a><br>";
    }
})->name('po.approval');

Route::get('/old-invoices', function(){
    $bookings = \App\Booking::where('status', 6)->whereNot('user_id', 1)->whereHas('purchaseOrder', function($q){
        $q->whereNotNull('image_path');
    })->get();
        $months = $bookings->groupBy(function($item) {
        return $item->created_at->format('Y-m');
    });
    echo "<h1>Total pending invoices:<b>".count($bookings)."</b></h1>";
    foreach ($months as $month => $bookings) {
        echo "<h3>".$month."(".count($bookings).")</h3><br>";
        foreach ($bookings as $booking) {
            echo "<a target='_blank' href='https://exchange.cief-malaysia.com/booking/".$booking->id."/upload-invoice'>".$booking->id."</a> <small>date: ".$booking->created_at."</small><br>";
        }
        echo "<br><br><br>";
    }
})->name('invoice.old');

Route::group(['middleware' => ['role:admin']], function() {
    Route::get('bulkBookings', function () {
        return view('booking.bulkBooking');
    })->name('booking.bulk.form');
    Route::post('/bulkBookings', 'BulkBookingController@index')->name('booking.bulk');
});
Route::get('{path}', 'WelcomeController@index')->where('path', '(.*)');
Auth::routes();

//Route::get('/home', 'WelcomeController@index')->name('home');
